Bug 604022 - [REG][5.5] pipe system call is not probed on ia64 by SystemTap
Summary: [REG][5.5] pipe system call is not probed on ia64 by SystemTap
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: systemtap   
(Show other bugs)
Version: 5.5
Hardware: ia64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Frank Ch. Eigler
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Keywords: Regression, ZStream
Depends On: 568032
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-15 08:05 UTC by RHEL Product and Program Management
Modified: 2013-01-11 03:04 UTC (History)
10 users (show)

Fixed In Version: systemtap-1.1-3.el5_5.1
Doc Type: Bug Fix
Doc Text:
Although the kernel in Red Hat Enterprise Linux 5.5 for the Itanium architecture introduced a new pipe system call handler, "sys_ia64_pipe", the function was not added to the SystemTap tapset. As a result, probing the system call from the script via "probe syscall.pipe" did not succeed. This error has been fixed, the new function has been added to the tapset, and the pipe system call should now be probed correctly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-12 13:03:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0525 normal SHIPPED_LIVE systemtap bug fix update 2010-07-12 13:02:57 UTC

Description RHEL Product and Program Management 2010-06-15 08:05:38 UTC
This bug has been copied from bug #568032 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 4 David Smith 2010-06-15 14:16:02 UTC
As mentioned in comment 11 of bug 568032 (<https://bugzilla.redhat.com/show_bug.cgi?id=568032#c11>), this has been fixed in upstream commit 9ab564b and fc2a22c by adding support for sys_ia64_pipe.

Fix for the syscalls2.stp tapset:

<http://sources.redhat.com/git/gitweb.cgi?p=systemtap.git;a=commitdiff;h=9ab564b0a21f2df7d9457857cc636c621a2f7090>

Fix for the nd_syscalls2.stp tapset:

<http://sources.redhat.com/git/gitweb.cgi?p=systemtap.git;a=commitdiff;h=fc2a22c05edf578c05acb91d2f9d0d159c717061>

These patches will need to be backported.

Comment 7 Jaromir Hradilek 2010-06-25 12:12:04 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Although the kernel in Red Hat Enterprise Linux 5.5 for the Itanium architecture introduced a new pipe system call handler, "sys_ia64_pipe", the function was not added to the SystemTap tapset. As a result, probing the system call from the script via "probe syscall.pipe" did not succeed. This error has been fixed, the new function has been added to the tapset, and the pipe system call should now be probed correctly.

Comment 13 errata-xmlrpc 2010-07-12 13:03:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0525.html


Note You need to log in before you can comment on or make changes to this bug.